Subject: Re: [PATCH] net: reference the ipv4 sysctl table header

From: Djalal Harouni <[email-masked]>
Date: Sat, 31 Mar 2012 15:29:49 +0100

On Wed, Mar 28, 2012 at 04:51:32PM -0400, David Miller wrote:
> From: Steven Rostedt <[email-masked]>
> Date: Wed, 28 Mar 2012 12:32:20 -0400
> 
> > I just started using kmemleak and notice that it reports false positives
> > for several __init functions that call register_sysctl_paths(). The fix
> > you want is:
> > 
> > {
> > 	sturct ctl_table_header *head;
> > 
> > 	head = register_sysctl_paths(ipv4_path, ipv4_skeleton);
> > 	BUG_ON(!head);
> > 	kmemleak_ignore(head);
> > 
> > 
> > No need to waste a pointer just to keep the reference around for
> > kmemleak.
Thanks Steven, yes it's a nice solution for false positive ones.

> That looks a lot saner than the other suggestions, indeed.
Yes, however now I'm not sure that these are real false positive ones,
please check my other email, and someone who knows the code should take a
closer look.

Thank.

> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

-- 
tixxdz
http://opendz.org